import React, { Component } from 'react';
class EcommerceTotal extends Component {
    state = {  }
    render() { 
        return ( 
            <div  className="iframe-container">
               <iframe src="http://localhost:5601/app/kibana#/visualize/edit/45e07720-b890-11e8-a6d9-e546fe2bba5f?embed=true&_g=(refreshInterval:(pause:!f,value:900000),time:(from:now-7d,to:now))&_a=(filters:!(),linked:!f,query:(language:kuery,query:''),uiState:(),vis:(aggs:!(),params:(annotations:!((color:'rgba(25,77,51,1)',fields:taxful_total_price,icon:fa-bell,id:c8c30be0-b88f-11e8-a451-f37365e9f268,ignore_global_filters:1,ignore_panel_filters:1,index_pattern:kibana_sample_data_ecommerce,query_string:(language:lucene,query:'taxful_total_price:%3E250'),template:'Ring+the+bell!!+$%7B%7Btaxful_total_price%7D%7D',time_field:order_date)),axis_formatter:number,axis_position:left,axis_scale:normal,id:'61ca57f0-469d-11e7-af02-69e470af7417',index_pattern:kibana_sample_data_ecommerce,interval:%3E%3D12h,legend_position:bottom,series:!((axis_position:right,chart_type:line,color:'rgba(240,138,217,1)',fill:'0.7',filter:(language:lucene,query:'products.product_name:*trouser*'),formatter:number,id:ea20ae70-b88d-11e8-a451-f37365e9f268,label:'Revenue+Trousers',line_width:1,metrics:!((field:taxful_total_price,id:ea20ae71-b88d-11e8-a451-f37365e9f268,type:sum)),point_size:1,separate_axis:0,split_mode:everything,stacked:none,value_template:'$%7B%7Bvalue%7D%7D'),(axis_position:right,chart_type:line,color:'rgba(191,240,129,1)',fill:'0.7',filter:(language:lucene,query:'products.product_name:*watch*'),formatter:number,id:'062d77b0-b88e-11e8-a451-f37365e9f268',label:'Revenue+Watches',line_width:1,metrics:!((field:taxful_total_price,id:'062d77b1-b88e-11e8-a451-f37365e9f268',type:sum)),point_size:1,separate_axis:0,split_mode:everything,stacked:none,value_template:'$%7B%7Bvalue%7D%7D'),(axis_position:right,chart_type:line,color:'rgba(23,233,230,1)',fill:'0.7',filter:(language:lucene,query:'products.product_name:*bag*'),formatter:number,id:'61ca57f1-469d-11e7-af02-69e470af7417',label:'Revenue+Bags',line_width:1,metrics:!((field:taxful_total_price,id:'61ca57f2-469d-11e7-af02-69e470af7417',type:sum)),point_size:1,separate_axis:0,split_mode:everything,stacked:none,value_template:'$%7B%7Bvalue%7D%7D'),(axis_position:right,chart_type:line,color:'rgba(235,186,180,1)',fill:'0.7',filter:(language:lucene,query:'products.product_name:*cocktail+dress*'),formatter:number,id:faa2c170-b88d-11e8-a451-f37365e9f268,label:'Revenue+Cocktail+Dresses',line_width:1,metrics:!((field:taxful_total_price,id:faa2c171-b88d-11e8-a451-f37365e9f268,type:sum)),point_size:1,separate_axis:0,split_mode:everything,stacked:none,value_template:'$%7B%7Bvalue%7D%7D')),show_grid:1,show_legend:1,time_field:order_date,type:timeseries),title:'%5BeCommerce%5D+Promotion+Tracking',type:metrics))" height="350" width="600"></iframe>
                
            </div>
         );
    }
}
 
export default EcommerceTotal;